Subject: [TR] TO bearing

From: John Macartney <[email-masked]>
Date: Tue, 9 Sep 2025 23:15:33 +0100

Dave, you want part number GRB211 that’s common to all TRs and Stag.

Mick Dolphin in the UK has them priced at about GBP18.50 + p and p. No financial interest for me but Mick specialises in genuine new old stock and when I had my Triumphs I always bought from him because he never sells anything but genuine parts and his ‘warehouse’ is a huge shed in the garden behind his house. IIRC the bearing is likely to be either RHP or Timken but I could be wrong. I’m getting old.

Key www.mickdolphin.co.uk in your browser or you’ll find him easily thru Google.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]